﻿using System;
using Kreta.Core.Logic;
using Kreta.Resources;

namespace Kreta.Job.Tasks.Core.Models
{
    public class EmailModel
    {
        public EmailModel(string intezmenyAzonosito = null, Guid? guid = null)
        {
            string url = UrlLogic.GetEmailKezelesUrl(intezmenyAzonosito, guid);
            Footer = FooterBuilder(url);
        }

        public string Message { get; set; }
        public string Footer { get; set; }
        public string Subject { get; set; }
        public string TargetEmail { get; set; }
        public string FromEmail { get; set; }
        public byte[] Buffer { get; set; }
        public string FileName { get; set; }
        public string Bcc { get; set; }

        private string FooterBuilder(string url)
        {
            string footerString = $@"
                <br/>
                {EmailResource.EmailNoReplyFooter}
                <br/>
                <span style='font-size:10px;'>
                  <i>
                      {EmailResource.EmailTitoktartasFooter}
                      <br/>
                      <br/>
                      {EmailResource.EmailAngolTitoktartasFooter}
                  </i>
                </span>";

            if (!string.IsNullOrWhiteSpace(url))
            {
                footerString += $@"
                    <br/>
                    <br/>
                    <div style='text-align:center;'>
                        <a href='{url}'>
                            <span style='font-size:10px;'>{EmailResource.EmailHibasnakJelolesFooter}</span>
                        </a>
                    </div>";
            }

            return footerString;
        }
    }
}
